# DEMedicalPlanPatientFieldType enum

German medical plan document patient information description field type

Inheritance
  - Object
  - Enum
  - DEMedicalPlanPatientFieldType

## Constructors

DEMedicalPlanPatientFieldType()
  const

## Values

FirstName → const DEMedicalPlanPatientFieldType
LastName → const DEMedicalPlanPatientFieldType
Title → const DEMedicalPlanPatientFieldType
PreName → const DEMedicalPlanPatientFieldType
Suffix → const DEMedicalPlanPatientFieldType
PatientID → const DEMedicalPlanPatientFieldType
BirthDate → const DEMedicalPlanPatientFieldType
Gender → const DEMedicalPlanPatientFieldType
Weight → const DEMedicalPlanPatientFieldType
Height → const DEMedicalPlanPatientFieldType
CreatinineValue → const DEMedicalPlanPatientFieldType
AllergiesAndIntolerances → const DEMedicalPlanPatientFieldType
BreastFeeding → const DEMedicalPlanPatientFieldType
Pregnant → const DEMedicalPlanPatientFieldType
PatientFreeText → const DEMedicalPlanPatientFieldType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DEMedicalPlanPatientFieldType>
  A constant List of the values in this enum, in order of their declaration.
  `[FirstName, LastName, Title, PreName, Suffix, PatientID, BirthDate, Gender, Weight, Height, CreatinineValue, AllergiesAndIntolerances, BreastFeeding, Pregnant, PatientFreeText]`